# Pre-Authorization ⚠️(Deprecated)

This method gives a possibility to complete a deduction of an amount that was blocked during an [Order method](create-order.md). The method is valid only if the value passed in a capture_method parameter was `MANUAL` when calling an Order method

## Parameters

- `order_id` — string, required

  An online payment identifier returned to the Online Shop in a response of the payment request method.

- `auth_type` — FULL_COMPLETE | PARTIAL_COMPLETE | CANCEL, required

  - `FULL_COMPLETE` Blocked amount during order request will be fully completed.
  - `PARTIAL_COMPLETE` will be completed part of the amount sent in amount parameter.

- `amount` — string

  Is needed only in case (PARTIAL_COMPLETE). Should not be equal or more than full amount.

**request**

```api
POST /api/v1/checkout/payment/{order_id}/pre-auth/completion
Content-Type: application/json
Authorization: Bearer <jwt_token>
```

**FULL_COMPLETE**

```json
{
    "auth_type" : "FULL_COMPLETE",
}
```

**PARTIAL_COMPLETE**

```json
{
    "auth_type" : "PARTIAL_COMPLETE",
    "amount" : "10.50"
}
```

**CANCEL**

```json
{
    "auth_type" : "CANCEL"
}
```

## Response

- `status` — string, required

  A status of a payment pre-authorization. Can take the following value.
  - `success` - A Recurrent Payment is successful.

- `description` — string, required

  A Status description. Can have one of the following two values
  - `Pre-authorization successfully completed` - A Pre-authorization is successfully completed.
  - `Already completed successful` - A previous Pre-authorization is already verified.

**response**

```json
{
  "status": "success",
  "description": "Pre-authorization successfully completed"
}
```
